> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Delivery Attempt Summary

> Get delivery attempt summary



## OpenAPI

````yaml /openapi/openapi_event.json get /event/push/subscriptions/{subscriptionId}/deliveryattempts/{processId}
openapi: 3.0.1
info:
  description: |-
    <div id="overview_EVENT">
                <h2>EVENTS</h2>
                <p>The Event APIs are used to subscribe to notifications when create, read, update, or delete operations are
                    performed. If an application subscribes to the event, use the <strong>Events</strong> resource to query for
                    recent events published to your application or events that were not published successfully. See the <a href="/pages/event-subscription">Event Subscription documentation</a> for more information</p>
                <p>The <strong>Subscriptions</strong> resource triggers a push service to sent immediate notifications to the subscribed
                    tenants
                    and applications. The resource sends messages regarding a subscription event that occurs in the tenant
                    or site.</p>
            </div>
  title: Event Subscription
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /event/push/subscriptions/{subscriptionId}/deliveryattempts/{processId}:
    get:
      tags:
        - EventSubscription
      summary: Get Delivery Attempt Summary
      description: Get delivery attempt summary
      parameters:
        - description: ''
          in: path
          name: subscriptionId
          required: true
          schema:
            type: string
        - in: path
          name: processId
          required: true
          schema:
            format: int32
            type: integer
        - description: limits which fields are returned in the response body
          in: query
          name: responseFields
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EventDeliverySummary'
            text/json:
              schema:
                $ref: '#/components/schemas/EventDeliverySummary'
            text/plain:
              schema:
                $ref: '#/components/schemas/EventDeliverySummary'
          description: OK
components:
  schemas:
    EventDeliverySummary:
      description: >-
        The external/public Event entity used specifically in PULL/POLL event
        scenarios
      properties:
        createDate:
          description: Create Date
          format: date-time
          nullable: true
          type: string
        deliveryAttempts:
          description: Details about each attempted delivery of the event to the endpoint
          items:
            $ref: '#/components/schemas/EventDeliveryAttempt'
          nullable: true
          type: array
        deliveryStatus:
          description: Status of the delivery process (EventDeliveryStatusType)
          nullable: true
          type: string
        eventSummary:
          $ref: '#/components/schemas/EventSummary'
        id:
          description: The unique identifier for an event delivery summary
          format: int32
          nullable: true
          type: integer
        isRunning:
          description: >-
            Indicates whether delivery of the event is currently being attempted
            at this moment in time
          type: boolean
        lastExecutionDate:
          description: >-
            The date that the delivery was last attempted (either successfully
            or not)
          format: date-time
          type: string
        nextExecutionDate:
          description: >-
            The date that the delivery will next be attempted, if the event has
            not been successfully delivered yet and there are still retries
            remaining
          format: date-time
          type: string
        retriesRemaining:
          description: Number of delivery attempts remaining
          format: int32
          nullable: true
          type: integer
        updateDate:
          description: Update Date
          format: date-time
          nullable: true
          type: string
      type: object
    EventDeliveryAttempt:
      description: >-
        The external/public Event entity used specifically in PULL/POLL event
        scenarios
      properties:
        deliveryStatus:
          description: >-
            Status of the delivery process (EventDeliveryStatusType).
            System-supplied and read-only.
          nullable: true
          type: string
        errorType:
          description: Type of error that occurred, if the delivery was unsuccessful
          nullable: true
          type: string
        executionDate:
          description: The date that the delivery was attempted
          format: date-time
          nullable: true
          type: string
        httpStatus:
          $ref: '#/components/schemas/HttpStatus'
        message:
          description: HTTP message returned by the remote endpoint
          nullable: true
          type: string
      type: object
    EventSummary:
      description: >-
        Event Summary is a trimmed version of an event that is utilized when
        displaying the event delivery (aka webhook, HTTP callback, HTTP POST)
        process history/details
      properties:
        catalogId:
          description: Catalog Id
          format: int32
          nullable: true
          type: integer
        correlationId:
          description: Correlation Id
          nullable: true
          type: string
        createDate:
          description: Create Date
          format: date-time
          nullable: true
          type: string
        entityId:
          description: Entity Id
          nullable: true
          type: string
        eventId:
          description: >-
            Note: Remember in the contract version to convert this Guid to
            ToString("N") so the dashes are not present
          nullable: true
          type: string
        extendedProperties:
          description: >-
            Extended properties. Note: This is purposefully not a CollectionBase
            type wrapper so consumers start to get used to not having counts
            returned.
          items:
            $ref: '#/components/schemas/EventExtendedProperty'
          nullable: true
          type: array
        masterCatalogId:
          description: Master Catalog Id
          format: int32
          nullable: true
          type: integer
        siteId:
          description: Site Id
          format: int32
          nullable: true
          type: integer
        tenantId:
          description: Tenant Id
          format: int32
          nullable: true
          type: integer
        topic:
          description: Topic
          nullable: true
          type: string
      type: object
    HttpStatus:
      description: Http Status
      properties:
        code:
          description: >-
            The higher-level integer based HTTP Status Code returned by the
            remote endpoint
          format: int32
          type: integer
        name:
          description: Friendly text the HTTP Status Code returned by the remote endpoint
          nullable: true
          type: string
      type: object
    EventExtendedProperty:
      description: Event Extended Property
      properties:
        key:
          nullable: true
          type: string
        value:
          nullable: true
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````